/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef Fl_Dialog_h
#define Fl_Dialog_h

#include <stdio.h>
#include <FL/Fl_Double_Window.h>



/**
*  Fl_Dialog is the base dialog class. Show dialog with show method
*  and check return result from it.
*/
class Fl_Dialog : public Fl_Double_Window {
public:
                            Fl_Dialog (int x, int y, int w, int h, const char* s = 0);
                            Fl_Dialog (int w, int h, const char* s = 0);
    virtual                 ~Fl_Dialog() {;}

    virtual void            cb1 () {;}
    static void             cb1_ (Fl_Widget* w, void* data) {((Fl_Dialog*)data)->cb1 ();}
    virtual void            cb2 () {;}
    static void             cb2_ (Fl_Widget* w, void* data) {((Fl_Dialog*)data)->cb2 ();}
    virtual void            cb3 () {;}
    static void             cb3_ (Fl_Widget* w, void* data) {((Fl_Dialog*)data)->cb3 ();}
    virtual void            cb4 () {;}
    static void             cb4_ (Fl_Widget* w, void* data) {((Fl_Dialog*)data)->cb4 ();}
    virtual void            cb5 () {;}
    static void             cb5_ (Fl_Widget* w, void* data) {((Fl_Dialog*)data)->cb5 ();}
    virtual void            cb6 () {;}
    static void             cb6_ (Fl_Widget* w, void* data) {((Fl_Dialog*)data)->cb6 ();}

    int                     handle (int event);
    void                    resize (int x, int y, int w, int h);
    int                     show_modal (Fl_Window* parent);
    void                    show_modal2 (Fl_Window* parent);

protected:
    int                     aRetVal;
    Fl_Window*              aWindow;

    virtual void            cb66 ();
    static void             cb66_ (Fl_Widget* w, void* data) {((Fl_Dialog*)data)->cb66 ();}

private:
    int                     aW;
    int                     aH;
};

#endif
