/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef Fl_Find_h
#define Fl_Find_h

#include "Fl_Dialog.h"
#include <FL/Fl_Button.h>
#include <FL/Fl_Input.h>
#include <FL/Fl_Return_Button.h>
#include <FL/Fl_Check_Button.h>



/**
*  A find word dialog box.
*/
class Fl_Find : public Fl_Dialog {
public:
                            Fl_Find ();

    int                     beginning () {return aBegin->value();}
    int                     case_sensitive () {return aCase->value();}
    void                    cb1() {aRetVal = 0;}
    void                    cb2() {aRetVal = 1;}
    void                    cb3() {aRetVal = 2;}
    const char*             replace () {return aReplace->value();}
    const char*             text () {return aFind->value();}

private:
    Fl_Input*               aFind;
    Fl_Input*               aReplace;
    Fl_Check_Button*        aCase;
    Fl_Check_Button*        aBegin;
    Fl_Button*              aCloseButton;
    Fl_Return_Button*       aFindButton;
    Fl_Button*              aReplaceButton;
};

#endif
