/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef Fl_Select_h
#define Fl_Select_h

#include "Fl_Dialog.h"
#include <FL/Fl_Button.h>
#include <FL/Fl_Input.h>
#include <FL/Fl_Return_Button.h>
#include <FL/Fl_Browser.h>


/**
*  A list choice dialog. Call row to return the selected row.
*/
class Fl_Select : public Fl_Dialog {
public:
                            Fl_Select (const char** data, int size, int sel);

    void                    cb1 () {aInput->value (aBrowser->text (aBrowser->value ()));}
    void                    cb2 () {aRetVal = 0;}
    void                    cb3 ();
    void                    cb4 () {aRetVal = 1;}
    int                     row () {return aBrowser->value();}

private:
    const char**            aData;
    int                     aSize;

    Fl_Browser*             aBrowser;
    Fl_Return_Button*       aSelect;
    Fl_Button*              aCancel;
    Fl_Input*               aInput;
};

#endif
