/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef Currency_h
#define Currency_h

#define CURRENCY_LIST_SIZE 172

const char* Currency[CURRENCY_LIST_SIZE + 1][2] = {
    {"AED", "AED, United Arab Emirates, Dirhams"},
    {"AFA", "AFA, Afghanistan, Afghanis"},
    {"ALL", "ALL, Albania, Leke"},
    {"AMD", "AMD, Armenia, Drams"},
    {"ANG", "ANG, Netherlands Antilles, Guilders"},
    {"AOA", "AOA, Angola, Kwanza"},
    {"ARS", "ARS, Argentina, Pesos"},
    {"AUD", "AUD, Australia, Dollars"},
    {"AWG", "AWG, Aruba, Guilders"},
    {"AZM", "AZM, Azerbaijan, Manats"},
    {"BAM", "BAM, Bosnia and Herzegovina, Convertible Marka"},
    {"BBD", "BBD, Barbados, Dollars"},
    {"BDT", "BDT, Bangladesh, Taka"},
    {"BGL", "BGL, Bulgaria, Leva"},
    {"BHD", "BHD, Bahrain, Dinars"},
    {"BIF", "BIF, Burundi, Francs"},
    {"BMD", "BMD, Bermuda, Dollars"},
    {"BND", "BND, Brunei Darussalam, Dollars"},
    {"BOB", "BOB, Bolivia, Bolivianos"},
    {"BRL", "BRL, Brazil, Brazil Real"},
    {"BSD", "BSD, Bahamas, Dollars"},
    {"BTN", "BTN, Bhutan, Ngultrum"},
    {"BWP", "BWP, Botswana, Pulas"},
    {"BYR", "BYR, Belarus, Rubles"},
    {"BZD", "BZD, Belize, Dollars"},
    {"CAD", "CAD, Canada, Dollars"},
    {"CDF", "CDF, Congo/Kinshasa, Congolese Francs"},
    {"CHF", "CHF, Switzerland, Francs"},
    {"CLP", "CLP, Chile, Pesos"},
    {"CNY", "CNY, China, Yuan Renminbi"},
    {"COP", "COP, Colombia, Pesos"},
    {"CRC", "CRC, Costa Rica, Colones"},
    {"CUP", "CUP, Cuba, Pesos"},
    {"CVE", "CVE, Cape Verde, Escudos"},
    {"CYP", "CYP, Cyprus, Pounds"},
    {"CZK", "CZK, Czech Republic, Koruny"},
    {"DJF", "DJF, Djibouti, Francs"},
    {"DKK", "DKK, Denmark, Kroner"},
    {"DOP", "DOP, Dominican Republic, Pesos"},
    {"DZD", "DZD, Algeria, Algeria Dinars"},
    {"EEK", "EEK, Estonia, Krooni"},
    {"EGP", "EGP, Egypt, Pounds"},
    {"ERN", "ERN, Eritrea, Nakfa"},
    {"ETB", "ETB, Ethiopia, Birr"},
    {"EUR", "EUR, Euro Member Countries, Euro"},
    {"FJD", "FJD, Fiji, Dollars"},
    {"FKP", "FKP, Falkland Islands (Malvinas), Pounds"},
    {"GBP", "GBP, United Kingdom, Pounds"},
    {"GEL", "GEL, Georgia, Lari"},
    {"GGP", "GGP, Guernsey, Pounds"},
    {"GHC", "GHC, Ghana, Cedis"},
    {"GIP", "GIP, Gibraltar, Pounds"},
    {"GMD", "GMD, Gambia, Dalasi"},
    {"GNF", "GNF, Guinea, Francs"},
    {"GTQ", "GTQ, Guatemala, Quetzales"},
    {"GYD", "GYD, Guyana, Dollars"},
    {"HKD", "HKD, Hong Kong, Dollars"},
    {"HNL", "HNL, Honduras, Lempiras"},
    {"HRK", "HRK, Croatia, Kuna"},
    {"HTG", "HTG, Haiti, Gourdes"},
    {"HUF", "HUF, Hungary, Forint"},
    {"IDR", "IDR, Indonesia, Rupiahs"},
    {"ILS", "ILS, Israel, New Shekels"},
    {"IMP", "IMP, Isle of Man, Pounds"},
    {"INR", "INR, India, Rupees"},
    {"IQD", "IQD, Iraq, Dinars"},
    {"IRR", "IRR, Iran, Rials"},
    {"ISK", "ISK, Iceland, Kronur"},
    {"JEP", "JEP, Jersey, Pounds"},
    {"JMD", "JMD, Jamaica, Dollars"},
    {"JOD", "JOD, Jordan, Dinars"},
    {"JPY", "JPY, Japan, Yen"},
    {"KES", "KES, Kenya, Shillings"},
    {"KGS", "KGS, Kyrgyzstan, Soms"},
    {"KHR", "KHR, Cambodia, Riels"},
    {"KMF", "KMF, Comoros, Francs"},
    {"KPW", "KPW, Korea (North), Won"},
    {"KRW", "KRW, Korea (South), Won"},
    {"KWD", "KWD, Kuwait, Dinars"},
    {"KYD", "KYD, Cayman Islands, Dollars"},
    {"KZT", "KZT, Kazakstan, Tenge"},
    {"LAK", "LAK, Laos, Kips"},
    {"LBP", "LBP, Lebanon, Pounds"},
    {"LKR", "LKR, Sri Lanka, Rupees"},
    {"LRD", "LRD, Liberia, Dollars"},
    {"LSL", "LSL, Lesotho, Maloti"},
    {"LTL", "LTL, Lithuania, Litai"},
    {"LVL", "LVL, Latvia, Lati"},
    {"LYD", "LYD, Libya, Dinars"},
    {"MAD", "MAD, Morocco, Dirhams"},
    {"MDL", "MDL, Moldova, Lei"},
    {"MGF", "MGF, Madagascar, Malagasy Francs"},
    {"MKD", "MKD, Macedonia, Denars"},
    {"MMK", "MMK, Myanmar (Burma), Kyats"},
    {"MNT", "MNT, Mongolia, Tugriks"},
    {"MOP", "MOP, Macau, Patacas"},
    {"MRO", "MRO, Mauritania, Ouguiyas"},
    {"MTL", "MTL, Malta, Liri"},
    {"MUR", "MUR, Mauritius, Rupees"},
    {"MVR", "MVR, Maldives (Maldive Islands), Rufiyaa"},
    {"MWK", "MWK, Malawi, Kwachas"},
    {"MXN", "MXN, Mexico, Pesos"},
    {"MYR", "MYR, Malaysia, Ringgits"},
    {"MZM", "MZM, Mozambique, Meticais"},
    {"NAD", "NAD, Namibia, Dollars"},
    {"NGN", "NGN, Nigeria, Nairas"},
    {"NIO", "NIO, Nicaragua, Gold Cordobas"},
    {"NOK", "NOK, Norway, Krone"},
    {"NPR", "NPR, Nepal, Nepal Rupees"},
    {"NZD", "NZD, New Zealand, Dollars"},
    {"OMR", "OMR, Oman, Rials"},
    {"PAB", "PAB, Panama, Balboa"},
    {"PEN", "PEN, Peru, Nuevos Soles"},
    {"PGK", "PGK, Papua New Guinea, Kina"},
    {"PHP", "PHP, Philippines, Pesos"},
    {"PKR", "PKR, Pakistan, Rupees"},
    {"PLN", "PLN, Poland, Zlotych"},
    {"PYG", "PYG, Paraguay, Guarani"},
    {"QAR", "QAR, Qatar, Rials"},
    {"ROL", "ROL, Romania, Lei"},
    {"RUR", "RUR, Russia, Rubles"},
    {"RWF", "RWF, Rwanda, Rwanda Francs"},
    {"SAR", "SAR, Saudi Arabia, Riyals"},
    {"SBD", "SBD, Solomon Islands, Dollars"},
    {"SCR", "SCR, Seychelles, Rupees"},
    {"SDD", "SDD, Sudan, Dinars"},
    {"SEK", "SEK, Sweden, Kronor"},
    {"SGD", "SGD, Singapore, Dollars"},
    {"SHP", "SHP, Saint Helena, Pounds"},
    {"SIT", "SIT, Slovenia, Tolars"},
    {"SKK", "SKK, Slovakia, Koruny"},
    {"SLL", "SLL, Sierra Leone, Leones"},
    {"SOS", "SOS, Somalia, Shillings"},
    {"SPL", "SPL, Seborga, Luigini"},
    {"SRG", "SRG, Suriname, Guilders"},
    {"STD", "STD, So Tome and Principe, Dobras"},
    {"SVC", "SVC, El Salvador, Colones"},
    {"SYP", "SYP, Syria, Pounds"},
    {"SZL", "SZL, Swaziland, Emalangeni"},
    {"THB", "THB, Thailand, Baht"},
    {"TJR", "TJR, Tajikistan, Rubles"},
    {"TMM", "TMM, Turkmenistan, Manats"},
    {"TND", "TND, Tunisia, Dinars"},
    {"TOP", "TOP, Tonga, Pa'anga"},
    {"TRL", "TRL, Turkey, Liras"},
    {"TTD", "TTD, Trinidad and Tobago, Dollars"},
    {"TVD", "TVD, Tuvalu, Tuvalu Dollars"},
    {"TWD", "TWD, Taiwan, New Dollars"},
    {"TZS", "TZS, Tanzania, Shillings"},
    {"UAH", "UAH, Ukraine, Hryvnia"},
    {"UGX", "UGX, Uganda, Shillings"},
    {"USD", "USD, United States of America, Dollars"},
    {"UYU", "UYU, Uruguay, Pesos"},
    {"UZS", "UZS, Uzbekistan, Sums"},
    {"VEB", "VEB, Venezuela, Bolivares"},
    {"VND", "VND, Viet Nam, Dong"},
    {"VUV", "VUV, Vanuatu, Vatu"},
    {"WST", "WST, Samoa, Tala"},
    {"XAF", "XAF, Communaut Financire Africaine BEAC, Francs"},
    {"XAG", "XAG, Silver, Ounces"},
    {"XAU", "XAU, Gold, Ounces"},
    {"XCD", "XCD, East Caribbean Dollars"},
    {"XDR", "XDR, International Monetary Fund (IMF) Special Drawing Rights"},
    {"XOF", "XOF, Communaut Financire Africaine BCEAO, Francs"},
    {"XPD", "XPD, Palladium Ounces"},
    {"XPF", "XPF, Comptoirs Franais du Pacifique Francs"},
    {"XPT", "XPT, Platinum, Ounces"},
    {"YER", "YER, Yemen, Rials"},
    {"YUM", "YUM, Yugoslavia, New Dinars"},
    {"ZAR", "ZAR, South Africa, Rand"},
    {"ZMK", "ZMK, Zambia, Kwacha"},
    {"ZWD", "ZWD, Zimbabwe, Zimbabwe Dollars"},
    {"",    ""},
};

#endif
