/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef PriceChart_h
#define PriceChart_h

#include <chart/BaseChart.h>




/**
*  Object for creating price reports and charts
*/
class PriceChart : public BaseChart {
public:
    enum CHARTS {
                            NO_CHART  = 0,
                            ATR,
                            BAR,
                            BOLLINGER,
                            ESMA,
                            ESMA_SIGNALS,
                            LINE,
                            MACD,
                            MACD_HISTOGRAMME,
                            MOMENTUM,
                            RELATIVE,
                            RSI,
                            RSI_SIGNALS,
                            SMA,
                            SMA_SIGNALS,
                            STDDEV,
                            STOCHASTICS,
                            VOLUME,
                            LAST_CHART = VOLUME,
    };

                            PriceChart (MHDC* dc, int view, MHDate::DAYS timeType);

    virtual const char*     Class () {return "PriceChart";}
    void                    Create ();
    void                    Reload (const char* message);

private:
    void                    createAtr (int align, int area);
    void                    createBar (int align, int area);
    void                    createBollinger (int align, int area);
    void                    createESMA (int align, int area);
    void                    createESMASignals (int align, int area){;}
    void                    createLine (int align, int area);
    void                    createMACD (int align, int area);
    void                    createMACDHistogramme (int align, int area);
    void                    createMomentum (int align, int area);
    void                    createRelative (int align, int area);
    void                    createRSI (int align, int area);
    void                    createRSISignals (int align, int area){;}
    void                    createSMA (int align, int area);
    void                    createSMASignals (int align, int area);
    void                    createStdDev (int align, int area);
    void                    createStochastics (int align, int area);
    void                    createVolume (int align, int area);
};

#endif
