/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef Import_h
#define Import_h

#include <MH.h>
#include <MHString.h>
#include <MHVector.h>

class Security;
class Account;
class Set;
class MHCSVFile;



/**
*  Extends Portfolio2.
*  Add methods for dividends.
*/
class Import : public MH {
public:
                            Import (const char* fileName);
                            ~Import ();

    int                     Errors () {return aErrors;}
    void                    Read ();
    int                     Rows () {return aRows;}

private:
    int                     aRows;
    int                     aErrors;
    Account*                aAccount;
    Security*               aSecurity;
    Set*                    aSet;
    MHString                aFileName;
    MHVector*               aAccounts;
    MHVector*               aGuards;
    MHVector*               aIni;
    MHVector                aPortfolios;
    MHVector                aPrices;
    MHVector*               aSecurities;
    MHVector                aSetItems;
    MHVector*               aSets;

    void                    cleanup ();
    void                    importAccount (char action, MHCSVFile* v);
    void                    importGuard (char action, MHCSVFile* v);
    void                    importPortfolio (char action, MHCSVFile* v);
    void                    importPref (char action, MHCSVFile* v);
    void                    importPrice (char action, MHCSVFile* v);
    void                    importSecurity (char action, MHCSVFile* v);
    void                    importSet (char action, MHCSVFile* v);
    void                    importSetItem (char action, MHCSVFile* v);
};

#endif
