/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef Price_h
#define Price_h

#include <db/Security.h>
#include <MHPrice.h>
#include <MHString.h>
#include <MHUtil.h>
#include <MHVector.h>



/**
*  Price stores all names of security lists.
*/
class Price : public MHPrice {
public:
    enum TYPE {
                            PRICE  = 0,
                            SPLIT,
                            CLOSED,
                            NO_TYPES,
    };

    enum SORT {
                            SORT_DATE = 0,
                            SORT_DATE_TYPE,
    };

                            Price () : MHPrice() {aType = PRICE;}
                            Price (const char* date, TYPE type, double high, double low, double close, double open, double volume) : MHPrice (date, high, low, close, open, volume) {aType = type;}
                            Price (const char* date, TYPE type, double num) : MHPrice (date, num) {aType = type;}
                            Price (const char* date, double num) : MHPrice (date, num) {aType = PRICE;}

    Price&                  operator=(const Price& o);

    int                     Compare (const MH* o, int type);
    static void             Export (Security* sec, MHVector* ve, FILE* file);
    static void             Load (Security* sec, MHVector* ve) {Price::load (false, sec, ve, 0);}
    static void             Load (Security* sec, MHVector* ve, MHVector* ve2) {Price::load (false, sec,ve, ve2);}
    static void             LoadAll (Security* sec, MHVector* ve) {Price::load (true, sec, ve, 0);}
    static void             Save (Security* sec, MHVector* ve, bool sort = true);

    TYPE                    aType;

private:

    static void             load (bool raw, Security* sec, MHVector* ve, MHVector* ve2 = 0);
};

#endif
