/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef Set_h
#define Set_h

#include <MHString.h>
#include <MHVector.h>



/**
*  Set stores all names of security lists.
*/
class Set : public MH {
public:
    enum {
                            SET_LEN = 20,
    };

                            Set (){;}
                            Set (const Set& x) : MH() {aID = x.aID; aSet   = x.aSet; IsChanged (((Set&)x).IsChanged());}
                            Set (int id, const char* pSet) {SetID (id); SetSet (pSet);}

    Set&                    operator=(const Set&);
    bool                    operator==(const Set& x) {return aSet == x.aSet;}
    bool                    operator!=(const Set& x) {return aSet != x.aSet;}
    bool                    operator>(const Set& x) {return aSet > x.aSet;}
    bool                    operator<(const Set& x) {return aSet < x.aSet;}

    int                     Compare (const MH* o, int type){return strcasecmp (aSet(), ((Set*)o)->GetSet()->Get());}
    static void             Export (MHVector* ve, FILE* file);
    int                     GetID () {return aID;}
    MHString*               GetSet () {return &aSet;}
    static void             Load (MHVector* ve);
    static void             Save (MHVector* ve);
    void                    SetID (int i) {aID = i;}
    void                    SetSet (const char* s) {aSet = CHECK_STRING(s); aSet.Shrink(SET_LEN);}

private:
    int                     aID;
    MHString                aSet;
};

#endif
