/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef SetItem_h
#define SetItem_h

#include <db/DBFactory.h>
#include <db/Security.h>
#include <MHString.h>
#include <MHVector.h>

class Set;



/**
*  SetItem stores all names of security lists.
*/
class SetItem : public MH {
public:
    enum {
                            SORT_ID,
                            SORT_SECURITY,
    };

                            SetItem (){aSecurity = 0;}
                            SetItem (const SetItem& x) : MH() {aSecurityID = x.aSecurityID; aSecurity = x.aSecurity;}
                            SetItem (int securityID) : MH () {SetSecurityID (securityID); aSecurity = 0;}

    SetItem&                operator=(const SetItem&);
    bool                    operator==(const SetItem& x) {return aSecurityID == x.aSecurityID;}
    bool                    operator!=(const SetItem& x) {return aSecurityID != x.aSecurityID;}
    bool                    operator>(const SetItem& x) {return aSecurityID > x.aSecurityID;}
    bool                    operator<(const SetItem& x) {return aSecurityID < x.aSecurityID;}

    int                     Compare (const MH* o, int type){if (type == SORT_ID) return compareID((SetItem*)o);else return compareSecurity((SetItem*)o);}
    static void             Export (Set* set, MHVector* ve, FILE* file);
    static SetItem*         Find (SetItem* s, MHVector* ve) {SetItem* i = (SetItem*) ve->Find(s, 0, 0, 0); return ((i) ? i : 0);}
    Security*               GetSecurity () {return &aSecurity;}
    int                     GetSecurityID () {return aSecurityID;}
    Security*               LoadSecurity();
    static void             LoadSecurities(MHVector* v);
    static void             Load (Set* set, MHVector* ve);
    static void             Remove (Set* set);
    static void             Save (Set* set, MHVector* ve);
    void                    SetSecurityID (int id) {aSecurityID = id;}
    static void             Update (SetItem* setItem, MHVector* ve);

private:
    int                     aSecurityID;
    Security                aSecurity;

    int                     compareID (SetItem* o);
    int                     compareSecurity (SetItem* o);
};

#endif
