/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#include "dlg/AboutDlg.h"
#include "gui/XTrader.h"
#include "help/Logo.h"
#include "Resource.h"
#include <FL/Fl_Pixmap.H>
#include <MHUtil.h>
#include <pport.h>
#include <stdio.h>

static Fl_Pixmap image_xtrader(idata_xtrader);



/**
*  Create about dialog box
*  @param int - Width of dialog box
*  @param int - Height of dialog box
*/
AboutDlg::AboutDlg () :
Fl_Dialog (405, 390, 0) {
    Fl_Window* o = this;

    o->box(FL_UP_BOX);
    { Fl_Box* o = new Fl_Box(5, 10, 395, 80);
      o->image(image_xtrader);
    }
    aBrowser = new Fl_Browser(5, 90, 395, 265);
    aClose = new Fl_Return_Button(5, 360, 395, 25, "CLOSE");
    o->end();

    aClose->callback (Fl_Dialog::cb1_, this);

    char buffer[200];

    label (STRING(DLG_ABOUT));
    aClose->label (STRING(CLOSE_));

    sprintf (buffer, "@b@c %s %s", STRING(APP_NAME), STRING(APP_VERSION));
    aBrowser->add (buffer);
    sprintf (buffer, "@b@c %s", STRING(APP_COPYRIGHT));
    aBrowser->add (buffer);
    sprintf (buffer, "@b@c %s", STRING(APP_EMAIL));
    aBrowser->add (buffer);
    sprintf (buffer, "@b@c %s", STRING(APP_WWW));
    aBrowser->add (buffer);
    aBrowser->add ("");
    //#ifdef WIN32
        //sprintf (buffer, "Compiler: Visual C++ 6.0");
    //#else
        sprintf (buffer, "Compiler: gcc %s", __VERSION__);
    //#endif
    aBrowser->add (buffer);
    sprintf (buffer, "FLTK ver: %d.%d.%d", FL_MAJOR_VERSION, FL_MINOR_VERSION, FL_PATCH_VERSION);
    aBrowser->add (buffer);
    sprintf (buffer, "%s", STRING(PTYPES_VERSION));
    aBrowser->add (buffer);
    sprintf (buffer, "build: %s - %s",  __DATE__, __TIME__);
    aBrowser->add (buffer);

    aBrowser->textsize (XTrader::FontSize());
    aBrowser->labelsize (XTrader::FontSize());
    XTrader::FixButton (aClose);
}
