/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef DownloadDlg_h
#define DownloadDlg_h

#include <fl/Fl_Dialog.h>
#include <FL/Fl_Check_Browser.H>
#include <FL/Fl_Choice.H>
#include <FL/Fl_Box.H>
#include <FL/Fl_Input.H>
#include <FL/Fl_Round_Button.H>
#include <FL/Fl_Button.H>
#include <download/BaseDownload.h>

class Report;



/**
*  Export database to XTrader import format.
*/
class DownloadDlg : public Fl_Dialog {
public:
                            DownloadDlg ();

    void                    cb1 ();
    void                    cb2 ();
    void                    cb3 ();
    void                    cb4 ();
    void                    cb5 ();

private:
    Fl_Input*               aFile;
    Fl_Box*                 aImport;
    Fl_Round_Button*        aYes;
    Fl_Round_Button*        aNo;
    Fl_Input*               aStartDate;
    Fl_Input*               aStopDate;
    Fl_Choice*              aType;
    Fl_Check_Browser*       aSet;
    Fl_Check_Browser*       aSecurity;
    Fl_Button*              aLatest;
    Fl_Button*              aHistory;
    Fl_Button*              aBrowse;
    Fl_Button*              aHelp;
    Fl_Button*              aClose;

    void                    download (int type, const char* start, const char* stop, int action);
};

#endif

