/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#include <dlg/InfoDlg.h>
#include <gui/XTrader.h>
#include <Resource.h>
#include <stdio.h>



/**
*  Create about dialog box
*  @param int - Width of dialog box
*  @param int - Height of dialog box
*/
InfoDlg::InfoDlg (const char* label, const char* text) :
Fl_Dialog (620, 460, "") {
    Fl_Window* o = this;

    o->box(FL_UP_BOX);
    aClose = new Fl_Return_Button(5, 430, 610, 25, "CLOSE");
    { Fl_Browser* o = aInfo = new Fl_Browser(5, 10, 610, 410);
      o->labelfont(1);
      o->align(FL_ALIGN_CENTER);
    }
    o->end();


    aClose->callback (Fl_Dialog::cb1_, this);

    this->label (label);
    aClose->label (STRING(CLOSE_));
    XTrader::FixButton (aClose);
    aInfo->textsize (XTrader::FontSize());
    aInfo->labelsize (XTrader::FontSize());

    char* tmp = strdup (text);
    int start = 0;
    for (int f = 0; tmp[f] != '\0'; f++) {
        if (tmp[f] == '\r') tmp[f] = '\0';
        if (tmp[f] == '\n') {
            tmp[f] = '\0';
            aInfo->add ((const char*)tmp + start);
            start = f + 1;
        }
    }
}
