/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#include <dlg/SelectDlg.h>
#include <report/ReportTypes.h>
#include <Resource.h>
#include <gui/XTrader.h>
#include <MHString.h>
#include <MHVector.h>
#include <stdio.h>



/**
*  Create a list selection dialog
*  @param MHVector* - Vector with selection strings
*/
SelectDlg::SelectDlg (const char* label, ReportTypes* types) :
Fl_Dialog (365, 255, "XTrader") {
    Fl_Window* o = this;

    o->box(FL_UP_BOX);
    o->when(FL_WHEN_ENTER_KEY);
    { Fl_Browser* o = aBrowser = new Fl_Browser(10, 10, 245, 235);
      o->type(2);
      o->labelfont(1);
      o->align(FL_ALIGN_CENTER);
      o->when(FL_WHEN_ENTER_KEY_ALWAYS);
    }
    aSelect = new Fl_Return_Button(260, 10, 100, 25, "SELECT");
    aCancel = new Fl_Button(260, 45, 100, 25, "CANCEL");
    o->end();

    aCancel->callback (Fl_Dialog::cb1_, this);
    aSelect->callback (Fl_Dialog::cb2_, this);

    o->label (label);
    aCancel->label (STRING(CANCEL));
    aSelect->label (STRING(SELECT));

    aBrowser->textsize (XTrader::FontSize());
    aBrowser->labelsize (XTrader::FontSize());
    XTrader::FixButton (aCancel);
    XTrader::FixButton (aSelect);

    if (types) {
        for (int f = 0; f < types->aNames.Size(); f++) {
            MHString* s = (MHString*) types->aNames[f];
            aBrowser->add (s->Get());
        }
    }
}
