/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#include <db/DBFactory.h>
#include <db/Import.h>
#include <db/Set.h>
#include <dlg/SplitDlg.h>
#include <dlg/ProgressDlg.h>
#include <download/YahooDownload.h>
#include <FL/fl_ask.h>
#include <FL/fl_draw.h>
#include <FL/Fl_File_Chooser.h>
#include <gui/XTrader.h>
#include <gui/XTrader.h>
#include <MHDate.h>
#include <MHDebug.h>
#include <Resource.h>



/**
*  Create export dialog.
*/
SplitDlg::SplitDlg () :
Fl_Dialog (630, 285, "DOWNLOAD DATA") {
    Fl_Window* o = this;

    o->box(FL_UP_BOX);
    { Fl_Check_Browser* o = aSet = new Fl_Check_Browser(10, 20, 245, 255, "SET LIST");
      o->labelfont(1);
      o->align(FL_ALIGN_TOP_LEFT);
    }
    { Fl_Check_Browser* o = aSplit = new Fl_Check_Browser(265, 20, 245, 255, "SPLIT LIST");
      o->labelfont(1);
      o->align(FL_ALIGN_TOP_LEFT);
    }
    aCheck = new Fl_Button(520, 20, 100, 25, "&CHECK");
    aImport = new Fl_Button(520, 55, 100, 25, "&IMPORT");
    aClose = new Fl_Button(520, 90, 100, 25, "&CLOSE");
    o->end();

    aCheck->callback (Fl_Dialog::cb1_, this);
    aImport->callback (Fl_Dialog::cb2_, this);
    aClose->callback (Fl_Dialog::cb3_, this);

    label (STRING(APP_NAME));
    aSet->label (STRING(SELECT_SET));
    aSplit->label (STRING(SELECT_SPLIT));

    aCheck->label (STRING(CHECK));
    aImport->label (STRING(IMPORT));
    aClose->label (STRING(CLOSE_));

    aSet->labelsize (XTrader::FontSize());
    aSplit->labelsize (XTrader::FontSize());

    XTrader::FixButton (aCheck);
    XTrader::FixButton (aImport);
    XTrader::FixButton (aClose);

    MHVector* ve = DBFactory::LoadSet ();
    for (int f = 0; f < ve->Size(); f++) {
        Set* set = (Set*) (*ve)[f];
        aSet->add (set->GetSet()->Get());
    }
}



/**
*  
*/
void SplitDlg::cb1 () {
}



/**
*  Export database to file
*/
void SplitDlg::cb2 () {
}



/**
*  Get filename
*/
void SplitDlg::cb3 () {
    aRetVal = 0;
}
