/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef WorkSpaceDlg_h
#define WorkSpaceDlg_h

#include <FL/filename.h>
#include <fl/Fl_Dialog.h>
#include <FL/Fl_Browser.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Return_Button.H>
#include <MHVector.h>

class ReportTypes;



/**
*  Select XTrader workspace to use.
*/
class WorkSpaceDlg : public Fl_Dialog {
public:
                            WorkSpaceDlg ();
                            ~WorkSpaceDlg ();

    void                    cb1 () {aRetVal = 0;}
    void                    cb2 ();
    void                    cb3 ();
    void                    cb4 ();
    void                    cb5 ();

private:
    MHVector                aFiles;
    void                    loadFiles ();
    Fl_Browser*             aBrowser;
    Fl_Button*              aNew;
    Fl_Button*              aDelete;
    Fl_Button*              aCancel;
    Fl_Return_Button*       aLoad;
    Fl_Button*              aRename;
};

#endif
