/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef BaseDownload_h
#define BaseDownload_h


class MHVector;
class Security;



/**
* Base object for downloading data from internet
*/
class BaseDownload {
public:
    enum {
                            BUFFER_SIZE = 3000000
    };

                            BaseDownload ();
    virtual                 ~BaseDownload ();

    virtual bool            CanHistory () {return false;}
    virtual bool            CanLatest () {return false;}
    virtual const char*     Class () {return "BaseDownload";}
    virtual MHVector*       Load (int type, const char* start, const char* stop, Security* sec) = 0;

    int                     aStatus;

protected:
    char*                   aBuffer;
    void*                   aStream;

    const char*             getData (const char* server, const char* url);

private:
};

#endif
