/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#include "download/ClosedDay.h"
#include "db/DBFactory.h"
#include "db/Price.h"
#include "db/Security.h"
#include "Enums.h"
#include <MHDate.h>
#include <MHUtil.h>
#include <MHVector.h>
#include <stdio.h>



/**
*
*/
ClosedDay::ClosedDay () :
BaseDownload() {
}



/**
*
*/
ClosedDay::~ClosedDay () {
}



/**
*
*/
MHVector* ClosedDay::Load (int type, const char* start, const char* stop, Security* sec) {
    MHVector* ve = 0;
    MHVector  dates;
    MHDate    date;

    switch (type) {
        case XTRADER_DOWNLOAD_LATEST: {
            ve = new MHVector();
            ve->Push (new Price (date.Get(MHDate::LONG_DATE), Price::CLOSED, -1, -1, -1, -1, -1));
            break;
        }

        case XTRADER_DOWNLOAD_HISTORY: {
            ve = new MHVector();
            MHDate::CreateTimeSerie (start, stop, MHDate::WEEKDAY, 0, &dates);

            for (int f = 0; f < dates.Size(); f++) {
                MHString* s = (MHString*) dates[f];
                ve->Push (new Price (s->Get(), Price::CLOSED, -1, -1, -1, -1, -1));
            }
            dates.Erase ();
            break;
        }
    }

    return ve;
}
