/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef YahooDownload_h
#define YahooDownload_h

#include "download/BaseDownload.h"

class Price;



/**
*  Download data from yahoo
*/
class YahooDownload : public BaseDownload {
public:
                            YahooDownload ();
                            ~YahooDownload ();

    bool                    CanHistory () {return true;}
    bool                    CanLatest () {return true;}
    const char*             Class () {return "YahooDownload";}
    virtual MHVector*       Load (int type, const char* start, const char* stop, Security* sec);
    static const char*      Name () {return "Yahoo";}

private:
    char                    aUrl[256];
    char                    aLink[256];
    Price*                  parseLatest (Security* sec, const char* data);
    MHVector*               parseHistory (Security* sec, const char* data);
};

#endif
