/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef BaseView_h
#define BaseView_h

#include <MH.h>
#include <MHString.h>
#include <FL/Fl_Group.h>
#include <fl/Fl_Layout.h>

class MHVector;
class Fl_Button;
class Fl_Hold_Browser;



/**
*  Inherit from BaseView to create a data presentation window.
*/
class BaseView : public Fl_Group, public MH {
public:
    enum {
                            NO_BROWSER = 0,
                            PORTFOLIO,
                            SECURITY,
                            SET,
                            SET_SETITEM,
                            GUARD,
    };

                            BaseView (const char* workSpace, int type, int x, int y, int w, int h, const char* label);
    virtual                 ~BaseView ();

    virtual bool            CanClose () {return true;};
    virtual void            cbBrowser1 () {;}
    static void             cbBrowser1_ (Fl_Hold_Browser* w, void* data) {((BaseView*)data)->cbBrowser1 ();}
    virtual void            cbBrowser2 () {;}
    static void             cbBrowser2_ (Fl_Hold_Browser* w, void* data) {((BaseView*)data)->cbBrowser2 ();}
    virtual void            cbButton (Fl_Button* button) {;}
    static void             cbButton_ (Fl_Button* w, void* data) {((BaseView*)data)->cbButton (w);}
    virtual const char*     GetWorkSpace ();
    virtual void            LoadWorkSpace (const char* ws);
    void                    Message (const MH* sender, const char* m1 = 0, const char* m2 = 0, const char* m3 = 0, void* m4 = 0);
    virtual void            resize (int x, int y, int w, int h);

protected:
    char                        aWorkSpaceName[100];
    char                        aWorkSpace[100];
    int                         aType;
    MH*                         aMem1;
    MH*                         aMem2;
    MHVector*                   aList1;
    MHVector*                   aList2;
    Fl_Hold_Browser*            aBrowser1;
    Fl_Hold_Browser*            aBrowser2;
    Fl_VerticalLayout*          aToolbar;
    Fl_HorizontalSplitLayout*   aEditLayout;
    Fl_VerticalSplitLayout*     aBrowserLayout;
    Fl_BorderLayout*            aLayout;

    void                    createBrowser ();
    void                    createToolbar (const char* str, ...);
    void                    disableButtons ();
    void                    enableButton (const char* label);
    void                    loadBrowserData1 ();
    void                    loadBrowserData2 ();

private:
};

#endif
