/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef ChartView_h
#define ChartView_h

#include <gui/BaseView.h>
#include <MHDate.h>
#include <MHString.h>

class Fl_DC;
class Fl_Hold_Browser;
class Fl_BorderLayout;
class Fl_Slider;
class Fl_Table;
class BaseChart;



/**
*  ChartView is main window object and manages the menu,
*  toolbar, statusbar, split window, navigator and tab window
*/
class ChartView : public BaseView {
public:
                            ChartView (const char* workSpace, int type, int x, int y, int w, int h, const char* label);
                            ~ChartView ();

    bool                    CanClose ();
    void                    cbBrowser1 ();
    void                    cbBrowser2 ();
    void                    cbButton (Fl_Button* button);
    int                     handle (int event);

private:
    int                     aView;
    MHString                aStartDate;
    MHString                aStopDate;
    MHDate::DAYS            aTimeType;
    Fl_BorderLayout*        aDCLayout;
    Fl_Slider*              aDCSlider;
    Fl_DC*                  aDC;

    void                    enableButtons ();
    void                    reload ();
};

#endif
