/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef ReportView_h
#define ReportView_h

#include <gui/BaseView.h>
#include <report/ReportTypes.h>
#include <MHString.h>

class Fl_Hold_Browser;
class Fl_Table;
class BaseReport;



/**
*  ReportView is main window object and manages the menu,
*  toolbar, statusbar, split window, navigator and tab window
*/
class ReportView : public BaseView {
public:
                            ReportView (const char* workSpace, int type, BaseReport* report, int x, int y, int w, int h, const char* label);
                            ~ReportView ();

    bool                    CanClose ();
    void                    cbBrowser1 ();
    void                    cbBrowser2 ();
    void                    cbButton (Fl_Button* button);
    int                     handle (int event);

private:
    Fl_Table*               aTable;
    BaseReport*             aReport;

    void                    enableButtons ();
};

#endif
