/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#include <report/BaseReport.h>
#include <MHDate.h>



/**
*
*/
BaseReport::BaseReport (Report* report, int type) {
    MHDate date;

    aData       = 0;
    aReport     = report;
    aReportType = type;
    aStartDate  = date.Get (MHDate::LONG_DATE);
    aStopDate   = date.Get (MHDate::LONG_DATE);
}



/**
*  Check date, swap dates if start date is greater than stop date
*/
void BaseReport::CheckDate () {
    if (aStartDate > aStopDate) {
        MHString tmp = aStartDate;
        aStartDate   = aStopDate;
        aStopDate    = tmp;
    }
}



/**
*  Set report type. If type is less than zero then use the absolute
*  type number to use the report type stored in the ReportTypes.aTypes vector
*/
void BaseReport::SetReportType (int type) {
    if (type >= 0)
        aReportType = type;
    else {
        type = abs(type) - 1;
        if (type >= 0 && type < aChoice.aTypes.Size())
            aReportType = ((MHString*)aChoice.aTypes[type])->ToInt();
        else
            aReportType = 0;
    }
}

