/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef GuardReport_h
#define GuardReport_h

#include <report/BaseReport.h>
#include <MHVector.h>

class Guard;



/**
*  Create price watch reports.
*/
class GuardReport : public BaseReport {
public:
    enum REPORTS {
                            DEFAULT_REPORT = 0,
                            GUARD          = DEFAULT_REPORT,
                            GUARD_SHORT,
                            LAST_REPORT,
    };

                            GuardReport (Report* report);

    const char*             Class () {return "GuardReport";}
    void                    Create ();
    void                    Reload (const char* message);

protected:
    enum {
                            SELL = 1,
                            BUY,
                            HOLD,
    };

    int                     checkGuard (Guard* guard, MHVector* prices);
    void                    createGuardReport (bool shortReport);
    void                    createGuardReportHeader (bool shortReport);
    MHVector*               createGuardReportRow (bool shortReport, const char* signal, Guard* guard);
};

#endif
