/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef PortfolioReport_h
#define PortfolioReport_h

#include <report/BaseReport.h>

class Portfolio2;
class PortfolioValue;
class MHDate;
class MHVector;
class MHString;



/**
*  Create portfolio reports.
*/
class PortfolioReport : public BaseReport {
public:
    enum {
                            DEFAULT_REPORT     = 0,
                            PERFORMANCE        = DEFAULT_REPORT,
                            VALUE,
                            LAST_REPORT,
    };

                            PortfolioReport (Report* report);
                            ~PortfolioReport ();

    const char*             Class () {return "PortfolioReport";}
    DATE                    ChangeDate () {if (aReportType == PERFORMANCE) return BOTH_DATE; else return STOP_DATE;}
    void                    Create ();
    void                    Reload (const char* message);

private:
    MHVector                aPortfolio;

    void                    createPerformance ();
    void                    createValue ();
    void                    loadPortfolio ();
};

#endif
