/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef PortfolioValue_h
#define PortfolioValue_h

#include <MHUtil.h>

class Portfolio2;
class MHVector;



/**
*  A simple data storage class for portfolio performance values.
*/
class PortfolioValue {
public:

    double                  aBuyValue;
    double                  aBuyValue2;
    double                  aCurrCash;
    double                  aCurrValue;
    double                  aDivValue;
    double                  aNetCash;
    double                  aSharePrice;
    double                  aShareVolume;

                            PortfolioValue ();

    void                    AddCash (Portfolio2* p2, MHVector* in);
    void                    Log ();
    void                    NewSharePrice () {if (aShareVolume > 0.0000001) aSharePrice = ((aCurrValue + aCurrCash) / aShareVolume);}
    void                    Recalc (const char* date, MHVector* in);
    void                    RemoveCash (Portfolio2* p2, MHVector* in);
    void                    Reset (const char* date, MHVector* buyList);
    void                    Value (MHVector* in);
};

#endif
