/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef PriceReport_h
#define PriceReport_h

#include <report/BaseReport.h>
#include <MHVector.h>

class Price;



/**
*  Create pric ereports.
*/
class PriceReport : public BaseReport {
public:
    enum REPORTS {
                            DEFAULT_REPORT = 0,
                            QUOTES         = DEFAULT_REPORT,
                            QUOTES_SHORT,
                            CHANGE,
                            LAST_REPORT,
    };

    enum {
                            QUOTES_DEFAULT = 60,
    };

                            PriceReport (Report* report);

    virtual const char*     Class () {return "PriceReport";}
    DATE                    ChangeDate ();
    void                    Create ();
    void                    Reload (const char* message);

protected:
    void                    createChangeList (bool shortReport);
    MHVector*               createChangeRow (bool shortReport, const char* name, Price* p1, Price* p2, Price* p3, Price* p4);
    void                    createQuoteList (bool shortReport);
};

#endif
