/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#include <report/Report.h>
#include <Resource.h>



/**
*  Free memory
*/
void Report::Erase () {
    delete aTitle;
    aTitle = 0;

    for (int f = 0; f < aRows.Size(); f++) {
        MHVector* v = (MHVector*) aRows[f];
        v->Erase ();
    }
    aRows.Erase();
    aHeader.Erase();
    aAlign.Erase();
}



/**
*  Save report to file
*  @param const char* - Filename
*/
void Report::Save (const char* fileName) {
    FILE* file = fopen (fileName, "w");

    if (file) {
        if (aTitle) {
            fwrite (aTitle->Get(), sizeof(char), aTitle->Size(), file);
            fwrite ("\n", sizeof(char), 1, file);
        }

        for (int j = 0; j < aHeader.Size(); j++) {
            fwrite (((MHString*)aHeader[j])->Get(), sizeof(char), ((MHString*)aHeader[j])->Size(), file);
            if (j < (aHeader.Size() - 1)) fwrite ("\t", sizeof(char), 1, file);
        }
        fwrite ("\n", sizeof(char), 1, file);

        for (int f = 0; f < aRows.Size(); f++) {
            MHVector* v = (MHVector*) aRows[f];
            for (int e = 0; e < v->Size(); e++) {
                MHString* s = (MHString*) (*v)[e];
                fwrite (s->Get(), sizeof(char), s->Size(), file);
                if (e < (v->Size() - 1)) fwrite ("\t", sizeof(char), 1, file);
            }
            fwrite ("\n", sizeof(char), 1, file);
        }
        fclose (file);
    }
    else
        throw STRING(ERROR_SAVE);
}
