/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef Report_h
#define Report_h

#include <MHString.h>
#include <MHVector.h>



/**
*  A simple storage object for text reports.
*  A vector for all rows and a vector for each row.
*  The row vector stores one string for every column
*/
class Report {
public:
    enum {
                            LEFT     = 1,
                            CENTER   = 2,
                            RIGHT    = 4,
                            NUMBER   = 8,
                            BOLD     = 16,
    };

                            Report () {aTitle = 0;}
    virtual                 ~Report () {Erase();}

    void                    Erase ();
    MHVector*               GetAlign () {return &aAlign;}
    MHVector*               GetHeader () {return &aHeader;}
    MHVector*               GetRows () {return &aRows;}
    const char*             GetTitle () {if (aTitle) return aTitle->Get(); else return "";}
    void                    Save (const char* fileName);

    MHVector                aRows;
    MHVector                aHeader;
    MHVector                aAlign;
    MHString*               aTitle;
};

#endif
