/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef ReportTypes_h
#define ReportTypes_h

#include <MHString.h>
#include <MHVector.h>



/**
*  A report or a chart can create an instance of ReporTypes which
*  contains all available types that can be created.
*/
class ReportTypes : public MH {
public:
                            ReportTypes () : MH() {;}
    virtual                 ~ReportTypes () {Clear ();}

    void                    Clear () {aNames.Erase(); aTypes.Erase();}
    void                    Copy (ReportTypes* to) {
                            for (int f = 0; f < aNames.Size(); f++) {
                                MHString* name = (MHString*)aNames[f];
                                MHString* type = (MHString*)aTypes[f];

                                to->aNames.Push (new MHString(*name));
                                to->aTypes.Push (new MHString(*type));
                            }
    }

    MHVector                aNames;
    MHVector                aTypes;
};

#endif
