/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef AccountData_h
#define AccountData_h

#include <table/BaseData.h>



/**
*  Supply data for editing accounts to the table widget.
*  Get data from database.
*/
class AccountData : public BaseData {
public:
                            AccountData ();
                            ~AccountData ();

    void                    add ();
    Fl_Align                align (int row, int col);
    const char**            choice (int row, int col, int& size, int& selected, char* label);
    const char*             Class () {return "AccountData";}
    int                     cols() {return 3;}
    FL_TABLE_EDITOR         editor_type (int row, int col, bool force_custom);
    void                    erase (int row);
    void                    insert (int row);
    int                     rows() {return aVector->Size();}
    int                     save ();
    void                    sort (int col, bool ascending);
    bool                    value (const char* data, int row, int col);
    const char*             value (int row, int col);
    int                     width (int col);

private:
    char**                  aChoice2;
    char                    aBuff[50];
    MHVector*               aVector;
};

#endif
