/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef BaseData_h
#define BaseData_h

#include "gui/XTrader.h"
#include <fl/Fl_Table_Data.h>
#include <MHVector.h>



/**
*  Base object for data supplier for the table object.
*/
class BaseData : public Fl_Table_Data {
public:
                            BaseData () {;}
    virtual                 ~BaseData () {;}


    virtual const char*     Class () {return "BaseData";}
    int                     height (int row) {if (row == FL_LABEL_ROW) return XTrader::FontSize() + 18; else if (row == FL_HEADER_ROW) return XTrader::FontSize() + 12; else return XTrader::FontSize() + 6;}
    Fl_Color                textcolor (int row, int col) {return Fl_Table_Data::textcolor(row, col);}
    Fl_Font                 textfont (int row, int col) {return Fl_Table_Data::textfont(row, col);}
    int                     textsize (int row, int col) {if (row == FL_LABEL_ROW) return XTrader::FontSize() + 6; else if (row == FL_HEADER_ROW) return XTrader::FontSize() + 1; else return XTrader::FontSize();}

private:
};

#endif
