/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef PortfolioData_h
#define PortfolioData_h

#include <table/BaseData.h>
#include <db/Account.h>



/**
*  Supply data for editing portfolio transactions to the table widget.
*/
class PortfolioData : public BaseData {
public:
                            PortfolioData (Account* s);
                            ~PortfolioData ();

    void                    add ();
    Fl_Align                align (int row, int col);
    const char**            choice (int row, int col, int& size, int& selected, char* label);
    const char*             Class () {return "PortfolioData";}
    int                     cols() {return 7 + 2;}
    FL_TABLE_EDITOR         editor_type (int row, int col, bool force_custom);
    void                    erase (int row);
    void                    insert (int row);
    void                    reload (const char* message);
    int                     rows() {return aVector->Size();}
    int                     save ();
    void                    sort (int col, bool ascending);
    bool                    value (const char* data, int row, int col);
    const char*             value (int row, int col);
    int                     width (int col);

private:
    char                    aBuff[50];
    char**                  aChoiceSecurity;
    char**                  aChoiceEvent;
    Account                 aAccount;
    MHVector*               aVector;
    MHVector*               aVectorSecurity;
    MHVector*               aVectorTotal;
    MHVector*               aVectorBalance;
    MHVector*               aErasedVector;

    void                    calcBalance ();
};

#endif
