/**
*  Copyright Mikael H?gdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#include <table/PrefDownloadData.h>
#include <db/DBFactory.h>
#include <db/Pref.h>
#include <report/PriceReport.h>
#include <Enums.h>
#include <Resource.h>
#include <FL/Fl.h>



/**
*
*/
PrefDownloadData::PrefDownloadData () :
BaseData () {
}


/**
*
*/
PrefDownloadData::~PrefDownloadData () {
}



/**
*
*/
Fl_Align PrefDownloadData::align (int row, int col) {
    return FL_ALIGN_LEFT;
}



/**
*
*/
const char** PrefDownloadData::choice (int row, int col, int& size, int& selected, char* label) {
    size = selected = 0;

    return 0;
}



/**
*
*/
FL_TABLE_EDITOR PrefDownloadData::editor_type (int row, int col, bool force_custom) {
    if (col == 1) {
        switch (row) {
            default:
                return FL_TEXT_EDITOR;
        }
    }
    return (FL_TABLE_EDITOR)0;
}



/**
*
*/
bool PrefDownloadData::value (const char* data, int row, int col) {
    if (row == 0) {
        if (strlen(data) < 100)
            DBFactory::SetPrefStringValue (STRING(PREF_YAHOO_LSERVER), data);
        else
            return false;
    }
    else if (row == 1) {
        if (strlen(data) < 100)
            DBFactory::SetPrefStringValue (STRING(PREF_YAHOO_LFILE), data);
        else
            return false;
    }
    else if (row == 2) {
        if (strlen(data) < 100)
            DBFactory::SetPrefStringValue (STRING(PREF_YAHOO_HSERVER), data);
        else
            return false;
    }
    else if (row == 3) {
        if (strlen(data) < 100)
            DBFactory::SetPrefStringValue (STRING(PREF_YAHOO_HFILE), data);
        else
            return false;
    }

    return true;
}



/**
*
*/
const char* PrefDownloadData::value (int row, int col) {
    if (row == FL_LABEL_ROW)
        return "";
    else if (row == FL_HEADER_ROW) {
        switch (col) {
            case 0:
                return STRING(PROPERTY);

            case 1:
                return STRING(VALUE);
        }
    }
    else {
        switch (row) {
            case 0:
                if (col == 0)
                    return STRING(DOWNLOAD_YAHOO_LSERVER2);
                else
                    return DBFactory::GetPrefStringValue (STRING(PREF_YAHOO_LSERVER), STRING(DOWNLOAD_YAHOO_LSERVER));

            case 1:
                if (col == 0)
                    return STRING(DOWNLOAD_YAHOO_LFILE2);
                else
                    return DBFactory::GetPrefStringValue (STRING(PREF_YAHOO_LFILE), STRING(DOWNLOAD_YAHOO_LFILE));

            case 2:
                if (col == 0)
                    return STRING(DOWNLOAD_YAHOO_HSERVER2);
                else
                    return DBFactory::GetPrefStringValue (STRING(PREF_YAHOO_HSERVER), STRING(DOWNLOAD_YAHOO_HSERVER));

            case 3:
                if (col == 0)
                    return STRING(DOWNLOAD_YAHOO_HFILE2);
                else
                    return DBFactory::GetPrefStringValue (STRING(PREF_YAHOO_HFILE), STRING(DOWNLOAD_YAHOO_HFILE));
        }
    }

    return "";
}



/**
*
*/
int PrefDownloadData::width (int col) {
    if (col == 0)
        return 230;
    else
        return 320;
}
