/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef PrefPriceChartData_h
#define PrefPriceChartData_h

#include "table/BaseData.h"
#include "chart/PriceChart.h"
#include <MHString.h>

class MHVector;



/**
*  Supply data for editing price chart preferences to the table widget.
*  Get data from database.
*/
class PrefPriceChartData : public BaseData {
public:
                            PrefPriceChartData (int view);
                            ~PrefPriceChartData ();

    Fl_Align                align (int row, int col);
    const char*             Class () {return "PrefPriceChartData";}
    const char**            choice (int row, int col, int& size, int& selected, char* label);
    int                     cols() {return 3;}
    FL_TABLE_EDITOR         editor_type (int row, int col, bool force_custom);
    void                    reload (const char* message);
    int                     rows() {return 27;}
    bool                    value (const char* data, int row, int col);
    const char*             value (int row, int col);
    int                     width (int col);

private:
    int                     aView;
    char                    aBuffer[1000];
    char**                  aChoiceLayout;
    char**                  aChoiceModels;
    char**                  aChoiceSecurity;
    MHVector*               aVectorSecurity;
    PriceChart              aModels;

    void                    setLabel (int row);
    void                    setPreference (int row, int col);
};

#endif
