/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#include <table/PrefReportData.h>
#include <db/DBFactory.h>
#include <db/Pref.h>
#include <report/PriceReport.h>
#include <Enums.h>
#include <Resource.h>
#include <FL/Fl.h>



/**
*
*/
PrefReportData::PrefReportData () :
BaseData () {
    aChoiceYesNo = MHUtil::Allocate (2, 20);
    STRNCPY (aChoiceYesNo[0], STRING(YES), 19)
    STRNCPY (aChoiceYesNo[1], STRING(NO), 19)
}



/**
*
*/
PrefReportData::~PrefReportData () {
    MHUtil::Delete (aChoiceYesNo, 2);
}



/**
*
*/
Fl_Align PrefReportData::align (int row, int col) {
    return FL_ALIGN_LEFT;
}



/**
*
*/
const char** PrefReportData::choice (int row, int col, int& size, int& selected, char* label) {
    size = selected = 0;
    return 0;
}



/**
*
*/
FL_TABLE_EDITOR PrefReportData::editor_type (int row, int col, bool force_custom) {
    if (col == 1) {
        switch (row) {
            case 0:
                return FL_INTEGER_EDITOR;
        }
    }
    return (FL_TABLE_EDITOR)0;
}



/**
*
*/
bool PrefReportData::value (const char* data, int row, int col) {
    if (row == 0)
        DBFactory::SetPrefIntValue (STRING(PREF_PRICEREPORT1), 2, 1000, PriceReport::QUOTES_DEFAULT, atoi (data));
    return true;
}



/**
*
*/
const char* PrefReportData::value (int row, int col) {
    if (row == FL_LABEL_ROW)
        return "";
    else if (row == FL_HEADER_ROW) {
        switch (col) {
            case 0:
                return STRING(PROPERTY);

            case 1:
                return STRING(VALUE);
        }
    }
    else {
        switch (row) {
            case 0:
                //  Price list - number of days
                if (col == 0) {
                    snprintf (aBuffer, 999, "%s - %s (2 - 1000)", STRING(PRICE_LIST), STRING(NO_DAYS));
                    return aBuffer;
                }
                else {
                    snprintf (aBuffer, 999, "%d", DBFactory::GetPrefIntValue (STRING(PREF_PRICEREPORT1), 2, 1000, PriceReport::QUOTES_DEFAULT));
                    return aBuffer;
                }
        }
    }

    return "";
}



/**
*
*/
int PrefReportData::width (int col) {
    if (col == 0)
        return 230;
    else
        return 320;
}
