/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef PrefToolbarData_h
#define PrefToolbarData_h

#include <table/BaseData.h>
#include <MHString.h>
#include <MHVector.h>



/**
*  Supply data for editing report preferences to the table widget.
*  Get data from database.
*/
class PrefToolbarData : public BaseData {
public:
                            PrefToolbarData ();
                            ~PrefToolbarData ();

    Fl_Align                align (int row, int col);
    const char**            choice (int row, int col, int& size, int& selected, char* label);
    const char*             Class () {return "PrefToolbarData";}
    int                     cols() {return 2;}
    FL_TABLE_EDITOR         editor_type (int row, int col, bool force_custom);
    int                     rows() {return BUTTONS;}
    bool                    value (const char* data, int row, int col);
    const char*             value (int row, int col);
    int                     width (int col);

private:
    enum {
                            BUTTONS = 15
    };

    char                    aBuffer[1000];
    char**                  aButtons;
    MHVector                aSelected;
};

#endif
