/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef PriceData_h
#define PriceData_h

#include <table/BaseData.h>

class Security;



/**
*  Supply data for editing price data to the table widget.
*/
class PriceData : public BaseData {
public:
                            PriceData (Security* s);
                            ~PriceData ();

    void                    add ();
    Fl_Align                align (int row, int col);
    const char**            choice (int row, int col, int& size, int& selected, char* label);
    const char*             Class () {return "PriceData";}
    int                     cols() {return 7;}
    FL_TABLE_EDITOR         editor_type (int row, int col, bool force_custom);
    void                    erase (int row);
    void                    insert (int row);
    void                    reload (const char* message);
    int                     rows() {return aVector->Size();}
    int                     save ();
    void                    sort (int col, bool ascending);
    bool                    value (const char* data, int row, int col);
    const char*             value (int row, int col);
    int                     width (int col);

private:
    char                    aBuff[50];
    char**                  aChoice;
    Security*               aSecurity;
    MHVector*               aVector;
};

#endif
