/**
*  Copyright Mikael Hgdahl - triyana@users.sourceforge.net
*
*  This source is distributed under the terms of the Q Public License version 1.0,
*  created by Trolltech (www.trolltech.com).
*/

#ifndef SetItemData_h
#define SetItemData_h

#include <table/BaseData.h>
#include <db/Set.h>



/**
*  Supply data for editing set list items to the table widget.
*  Get data from database.
*/
class SetItemData : public BaseData {
public:
                            SetItemData (Set* set);
                            ~SetItemData ();

    void                    add ();
    Fl_Align                align (int row, int col);
    const char**            choice (int row, int col, int& size, int& selected, char* label);
    const char*             Class () {return "SetItemData";}
    int                     cols() {return 1;}
    FL_TABLE_EDITOR         editor_type (int row, int col, bool force_custom);
    void                    erase (int row);
    void                    insert (int row);
    void                    reload (const char* message);
    int                     rows() {return aVector->Size();}
    int                     save ();
    void                    sort (int col, bool ascending);
    bool                    value (const char* data, int row, int col);
    const char*             value (int row, int col);
    int                     width (int col);

private:
    char**                  aChoice;
    MHVector*               aVector;
    MHVector*               aVectorSecurity;
    Set                     aSet;
};

#endif
